#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ERemoteStoragePlatform {
    All = -1,
    None = 0,
    Windows = 1,
    OSX = 2,
    PS3 = 4,
    Linux = 8,
    Switch = 16,
    Android = 32,
    IPhoneOS = 64,
}

impl ERemoteStoragePlatform {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::All as i32 => Some(Self::All),
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Windows as i32 => Some(Self::Windows),
            x if x == Self::OSX as i32 => Some(Self::OSX),
            x if x == Self::PS3 as i32 => Some(Self::PS3),
            x if x == Self::Linux as i32 => Some(Self::Linux),
            x if x == Self::Switch as i32 => Some(Self::Switch),
            x if x == Self::Android as i32 => Some(Self::Android),
            x if x == Self::IPhoneOS as i32 => Some(Self::IPhoneOS),
            _ => None,
        }
    }
}
